#### D.4.35.2 isSymmetric

Procedure from library `symodstd.lib` (see symodstd_lib).

Usage:
  isSymmetric(I,sigma); I ideal, sigma intvec

Assume:
  size(sigma) = nvars(basering) =: n

Return:
  1, if the set of generators of I is invariant under sigma;
  0, if the set of generators of I is not invariant under sigma

Note:
  sigma is a permutation of the variables of the basering, i.e.
  sigma: var(i) ----> var(sigma[i]), 1 <= i <= n.

Example:

    LIB "symodstd.lib";
    ring R = 0,x(1..5),dp;
    ideal I = cyclic(5);
    intvec pi = 2,3,4,5,1;
    isSymmetric(I,pi);
    ==> 1
    intvec tau = 2,5,1,4,3;
    isSymmetric(I,tau);
    ==> 0

User manual for Singular version 4.4.1, 2025, generated by texi2html.